﻿using MedicalDatabaseContracts;
using MedicalDatabaseContracts.Models;
using Npgsql;

namespace MedicalPostgresqlDatabase
{
    public abstract class AbstractPostgresqlStorage<T> : IStorage<T> where T : AbstractModel
    {
        public abstract void Delete(int id);
        public abstract T? Get(int id);
        public abstract List<T> GetAll();
        public abstract void Insert(T item);
        public abstract void Update(T item);
        protected NpgsqlConnection GetConnection()
        {
            return new NpgsqlConnection("Host=127.0.0.1;Port=5555;Username=elina;Database=beauty_salon;Password=elina");
        }
    }
}
